
class Turn:

    def __init__(self, turn_type):
        self.turn_type = turn_type
                        
class Bridge:

    def __init__(self, bridge_type):
        self.bridge_type = bridge_type

class Helix:

    def __init__(self, residues):
        self.residues = residues
        
def get_turns(residues):
    turns = []
    for i,res in enumerate(residues):
        for j in range(3,6):
            if(i+j<len(residues)):
                if(res.h_bond(residues[i+j]<-0.5)):
                    turns.append(Turn(j))
    return(turns)

def get_bridges(residues):
    bridges = []
    for i in range(1,len(residues)-4):
        E_min = 0
        for j in range(i+2,len(residues)-1):
            # select triplet with the minimal energy 

            if(residues[i-1].h_bond(residues[j])<-0.5
               and residues[j].h_bond(residues[i+1])<-0.5):
                if(residues[i-1].h_bond(residues[j])+
                   residues[j].h_bond(residues[i+1]))<E_min:
                   E_min = residues[i-1].h_bond(residues[j])
                   +residues[j].h_bond(residues[i+1])
                   
            if(residues[j-1].h_bond(residues[i])<-0.5
               and residues[i].h_bond(residues[j+1])<-0.5):
                if(residues[j-1].h_bond(residues[i])+
                   residues[i].h_bond(residues[j+1]))<E_min:
                   E_min = residues[j-1].h_bond(residues[i])
                   +residues[i].h_bond(residues[j+1])
                #bridges.append(Bridge("para"))
                    
                
            if((residues[i].h_bond(residues[j])<-0.5
                and residues[j].h_bond(residues[i])<-0.5)
               or(residues[i-1].h_bond(residues[j+1])<-0.5
                  and residues[j-1].h_bond(residues[i+1])<-0.5)):

                #bridges.append(Bridge("anti"))
        #bridges.append(strongest_bridge)
    return(bridges)

def get_helix(turns):
    pass
